Bug 436224 - PackageKit Update-System wrong gui behaviur
PackageKit Update-System wrong gui behaviur
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-05 18:47 EST by Oscar V Calixto Bacho
Modified: 2008-03-28 23:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-28 23:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of the update system window. (14.81 KB, image/png)
2008-03-06 09:43 EST, Robin Norwood
no flags Details

  None (edit)
Description Oscar V Calixto Bacho 2008-03-05 18:47:05 EST
Description of problem:

When update fedora rawhide box with update-system gui.
It do not show a list packages downloaded.
And GUI grow. 

Version-Release number of selected component (if applicable):

How reproducible:
Update rawhide with Update-System of Package-Kit

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Menu Add/Remove Software do not show icon.
Comment 1 Robin Norwood 2008-03-06 09:43:29 EST
Created attachment 297053 [details]
Screenshot of the update system window.
Comment 2 Robin Norwood 2008-03-06 09:46:40 EST
This happens to me when I launch pk-update-viewer, and click 'update system'.  I
get a window with progress bars and messages, but nothing in the text area of
the window.  Looks like we should be showing packages there, but I don't think
the backend is emitting Package signals for the update-system call.
Comment 3 Tim Lauridsen 2008-03-07 04:11:24 EST
Robin, what backend are default in pk 0.1.8 ?
the 'yum' backend do send Package signals when downloading a package, installing
the new version of the package and cleanup the old one.
The 'yum2' should do the same, but i cant test that because it is kind of broken
at the moment in git :)
Comment 4 Robin Norwood 2008-03-07 12:07:01 EST
0.1.8 uses the yum backend by default.  I also reproduced this on my (from git)
yum2 backend, which also seems to send the package ID, so maybe the engine or
GUI bits are broken.  I'll try to take a look today.
Comment 5 Richard Hughes 2008-03-16 19:29:21 EDT
Should be fixed in 0.1.9 - confirm?
Comment 6 Thomas J. Baker 2008-03-25 08:45:15 EDT
It still appears blank for me with 0.1.9.
Comment 7 Joachim Frieben 2008-03-28 07:45:49 EDT
Issue still applies to "rawhide" as of 2008-03-28. Moreover, it's impossible
to modifiy the package selection of proposed updates.
Comment 8 Matthias Clasen 2008-03-28 23:52:36 EDT
Try tomorrow, with 0.1.10

Note You need to log in before you can comment on or make changes to this bug.